  body {
    transform: none !important;
    perspective: none !important;
  }
  
  .root-main {
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      text-rendering: optimizeLegibility;
      overflow-x: clip;
      overflow-y: clip;
  }

  .nav__text {
      position: relative;
      white-space: nowrap;
  }
  
  .sup__text::before,
  .sup__text::after {
      position: absolute;
      width: 100%;
      height: 1px;
      Background: Black;
      top: 100%;
      left: 0;
      pointer-events: none;
  }
  
  .sup__text::before {
      content: '';
  }
  .sup__text::before {
      transform-origin: 100% 50%;
      transform: scale3d(0, 1, 1);
      transition: transform 0.3s;
  }
  
  .sup__text:hover::before {
      transform-origin: 0% 50%;
      transform: scale3d(1, 1, 1);
      opacity: 1 !important;
  }
    
  .trust-btn--fixed {
    bottom: -3%; /* РќР°С‡Р°Р»СЊРЅР°СЏ РїРѕР·РёС†РёСЏ Р·Р° РїСЂРµРґРµР»Р°РјРё СЌРєСЂР°РЅР° */
    transform: scale(0.94);
    opacity: 0;
    filter: blur(0.32vw);
    transition: all 0.4s ease;
  }
  
  .trust-btn--fixed.visibl {
    bottom: 0;
    right: 0;
    transform: scale(1);
    opacity: 1;
    filter: blur(0);
  }
  
  .trust-btn--fixed.visibl:hover {
    transform: scale(1.05);
  }
    
  /* Р‘Р°Р·РѕРІС‹Рµ СЃС‚РёР»Рё РґР»СЏ РєРЅРѕРїРєРё */
  .cursor-button {
    position: fixed !important;
    left: -100px;
    top: -100px;
    pointer-events: none; /* Р§С‚РѕР±С‹ РєРЅРѕРїРєР° РЅРµ РјРµС€Р°Р»Р° РІР·Р°РёРјРѕРґРµР№СЃС‚РІРёСЋ СЃ РґСЂСѓРіРёРјРё СЌР»РµРјРµРЅС‚Р°РјРё */
    opacity: 0; /* РќР°С‡РёРЅР°РµРј СЃ РїСЂРѕР·СЂР°С‡РЅРѕСЃС‚Рё 0 */
    transform: scale(0.8); /* РњР°СЃС€С‚Р°Р±РёСЂСѓРµРј РєРЅРѕРїРєСѓ РґР»СЏ Р°РЅРёРјР°С†РёРё */
    transition: opacity 0.3s ease, transform 0.3s ease; /* РџР»Р°РІРЅР°СЏ Р°РЅРёРјР°С†РёСЏ */
    z-index: 9999;
  }
  
  /* РђРєС‚РёРІРЅРѕРµ СЃРѕСЃС‚РѕСЏРЅРёРµ РєРЅРѕРїРєРё (РєРѕРіРґР° РѕРЅР° РІРёРґРЅР°) */
  .cursor-button.active {
    opacity: 1;
    transform: scale(1);
  }
  
  /* РћР±С‰РёРµ СЃС‚РёР»Рё РґР»СЏ Р»РёРЅРёР№ */
  .burger-line {
    transition: all 0.3s ease; /* РџР»Р°РІРЅР°СЏ Р°РЅРёРјР°С†РёСЏ */
    transform-origin: center; /* РўРѕС‡РєР° РІСЂР°С‰РµРЅРёСЏ вЂ” С†РµРЅС‚СЂ РєРѕРЅС‚РµР№РЅРµСЂР° */
  }
  
  /* РђРєС‚РёРІРЅРѕРµ СЃРѕСЃС‚РѕСЏРЅРёРµ (РєСЂРµСЃС‚РёРє) */
  .header__menu-icon.active .burger-line--top {
    transform: rotate(45deg); /* Р’РµСЂС…РЅСЏСЏ Р»РёРЅРёСЏ РїРѕРІРѕСЂР°С‡РёРІР°РµС‚СЃСЏ РІРїСЂР°РІРѕ */
    top: 17%; /* Р›РёРЅРёСЏ РѕСЃС‚Р°РµС‚СЃСЏ РїРѕ С†РµРЅС‚СЂСѓ */
  }

  .header__menu-icon.active .burger-line--bottom {
    transform: rotate(-45deg); /* РќРёР¶РЅСЏСЏ Р»РёРЅРёСЏ РїРѕРІРѕСЂР°С‡РёРІР°РµС‚СЃСЏ РІР»РµРІРѕ */
    top: -10%; /* Р›РёРЅРёСЏ РѕСЃС‚Р°РµС‚СЃСЏ РїРѕ С†РµРЅС‚СЂСѓ */
  }